Subject: multi-page pkgreport.cgi issues

From: Glenn Morris <[email-masked]>
Date: Mon, 28 Jun 2010 13:49:26 -0400

Package: debbugs.gnu.org

Some pkgreport.cgi searches may return multiple pages of results. The
limit is 400 results per page. This is due to resource issues on the
server.

The current implementation is not very smart:

The 400 limit is applied _before_ the search. In other words, reports
are searched in chunks of 400. The may well be no results in that
batch. One has to page through all the pages (with about 2000 open
bugs, it is currently only about 5 pages) to search all the bugs.

It would be better to apply the limit _after_ the search, if possible.

The summaries that are displayed on each page only apply to the
current page. Perhaps they should refer to the totals (though this is
not clear, since eg the summary at the top of the page is actually a
collection of links to the various sections on the pages below).